# Uses of Enum Class
com.sun.source.util.TaskEvent.Kind

Packages that use TaskEvent.Kind
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of TaskEvent.Kind in com.sun.source.util

Methods in com.sun.source.util that return TaskEvent.Kind
Modifier and Type
Method
Description
`TaskEvent.Kind`
TaskEvent.`getKind()`
Returns the kind for this event.
`static TaskEvent.Kind`
TaskEvent.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TaskEvent.Kind[]`
TaskEvent.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.sun.source.util with parameters of type TaskEvent.Kind
Modifier
Constructor
Description
``
`TaskEvent(TaskEvent.Kind kind)`
Creates a task event for a given kind.
``
`TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit)`
Creates a task event for a given kind and compilation unit.
``
`TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit, TypeElement clazz)`
Creates a task event for a given kind, compilation unit and type element.
``
`TaskEvent(TaskEvent.Kind kind, JavaFileObject sourceFile)`
Creates a task event for a given kind and source file.